{ moduleFunctions }:
let
  inherit (moduleFunctions.instancesFunctions)
    domain0
    servicePath
    sslPath
    sopsPath
    ;

  label = "Glance";
  name = "glance";
  subdomain = "dashboard";
  domain = "${subdomain}.${domain0}";
in
{
  label = label;
  name = name;
  short = label;
  email = {
    address0 = "noreply@${domain0}";
  };
  sops = {
    path0 = "${sopsPath}/${name}";
  };
  domains = {
    url0 = domain;
  };
  subdomain = subdomain;
  tags = [
    "glance"
    "dashboard"
    "weather"
    "podcasts"
  ];
  paths = {
    path0 = "${servicePath}/${label}";
  };
  ports = {
    port0 = 3434;
  };
  ssl = {
    cert = "${sslPath}/${subdomain}.${domain0}/fullchain.pem";
    key = "${sslPath}/${subdomain}.${domain0}/key.pem";
  };
}
